## xdoclet.modules.solarmetric.jdo
Class KodoSubTask.KodoVersionTypes

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          xdoclet.modules.solarmetric.jdo.KodoSubTask.KodoVersionTypes

Enclosing class:
  KodoSubTask

public static class KodoSubTask.KodoVersionTypes
extends org.apache.tools.ant.types.EnumeratedAttribute

Author:
  Ludovic Claude (ludovicc@users.sourceforge.net)
created
  10 October 2002

Field Summary
`static String` `VERSION_2_3`
`static String` `VERSION_2_3_1`
`static String` `VERSION_2_3_2`
`static String` `VERSION_2_3_3`

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`KodoSubTask.KodoVersionTypes()`

Method Summary
`String[]` `getValues()` Gets the Values attribute of the KodoVersionTypes object

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VERSION_2_3

    public static final String VERSION_2_3

See Also:
  Constant Field Values

### VERSION_2_3_1

    public static final String VERSION_2_3_1

See Also:
  Constant Field Values

### VERSION_2_3_2

    public static final String VERSION_2_3_2

See Also:
  Constant Field Values

### VERSION_2_3_3

    public static final String VERSION_2_3_3

See Also:
  Constant Field Values

Constructor Detail

### KodoSubTask.KodoVersionTypes

    public KodoSubTask.KodoVersionTypes()

Method Detail

### getValues

    public String[] getValues()

  Gets the Values attribute of the KodoVersionTypes object

  Returns:
    The Values value

http://xdoclet.sourceforge.net/